Skip to content
Start here

Create new saved logo queries from image files

client.brandProtection.logos.create(LogoCreateParams { account_id, match_type, tag, 2 more } params, RequestOptionsoptions?): LogoCreateResponse { id, tag, upload_path }
POST/accounts/{account_id}/brand-protection/logos

Return new saved logo queries created from image files

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
params: LogoCreateParams { account_id, match_type, tag, 2 more }
account_id: string

Path param

minLength1
match_type?: string

Query param

tag?: string

Query param

threshold?: number

Query param

image?: Uploadable

Body param

ReturnsExpand Collapse
LogoCreateResponse { id, tag, upload_path }
id?: number
tag?: string
upload_path?: string

Create new saved logo queries from image files

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const logo = await client.brandProtection.logos.create({ account_id: 'x' });

console.log(logo.id);
{
  "id": 0,
  "tag": "tag",
  "upload_path": "upload_path"
}
Returns Examples
{
  "id": 0,
  "tag": "tag",
  "upload_path": "upload_path"
}